Primeiramente vamos entender o que é o CocoaPods. A maioria das linguagens de desenvolvimento atuais possuem um gerenciador de bibliotecas ou dependências. Para os projetos em iOS é o CocoaPods.

Através deste é possível gerenciar de forma muito clara e simples todas as dependências de seu projeto, adicionando, removendo e atualizando suas bibliotecas.

Toda configuração do pods é realizada através de um arquivo chamado PodFile. Vale ressaltar também que o pods roda em cima do ruby, com isso é necessário atualizar as gems antes de utilizar.

Veja o passo a passo para instalar.

1 – Atualizar as gems

$ – sudo gem update –system

2 – Instalar o gem do cocoapods

$ [sudo] gem install cocoapods

3 – Verificar / Instalar se o plugin Command Line Tools está instado no Xcode.

Para isto vá em: Xcode > Preferences > Downloads > Componentes

Verifique se o plugin Command Line Tools está instalado, senão clique em install. O download / instalação levará alguns minutos.

4 – Crie o arquivo PodFile no diretório raiz de seu projeto.

$ vi PodFile


# Uncomment this line to define a global platform for your project
# platform :ios, ‘8.0’
pod 'SDWebImage', '~> 3.7'
pod 'SwiftyJSON', '~> 2.1'
Salve o arquivo 
$ pod install

 

 

 

 

 

 

 

Share on FacebookShare on Google+Tweet about this on TwitterShare on LinkedIn

Leave a Reply

O seu endereço de e-mail não será publicado. Campos obrigatórios são marcados com *

You may use these HTML tags and attributes:

<a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>